/Users/bernard/b20/bsoft/include/mg_random.h(3)

NAME
/Users/bernard/b20/bsoft/include/mg_random.h - Header file for applying some randomization to parameters.

SYNOPSIS

#include 'mg_processing.h'
#include 'symmetry.h'

  Functions
int project_random_defocus (Bproject *project, double std)
Introduces random errors into micrograph defocus averages.
int project_random_origins (Bproject *project, double std)
Introduces random errors into particle origins.
int project_random_views (Bproject *project)
Replace the original particle orientations by random views.
int project_random_helical_views (Bproject *project)
Replace the original particle orientations by random side views for a helix.
int project_random_views (Bproject *project, double std)
Introduces random errors into particle views.
int project_random_magnification (Bproject *project, double std)
Introduces random errors into particle magnifications.
int project_random_symmetry_related_views (Bproject *project, Bsymmetry *sym)
Replaces the original orientations by symmetry-related views.

Detailed Description

Header file for applying some randomization to parameters.

Author:
    Bernard Heymann

Date:
    Created: 20000426

    Modified: 20101116

Definition in file mg_random.h.

Function Documentation

  int project_random_defocus (Bproject * project, double std)

Introduces random errors into micrograph defocus averages.

The random deviations are obtained from a Gaussian distribution
generator.

Parameters:
    *project project parameter structure.
    std standard deviation of random error (angstroms).

Returns:
    int 0.

Definition at line 28 of file mg_random.cpp.

  int project_random_helical_views (Bproject * project)

Replace the original particle orientations by random side views for a helix.

The random views are generated in the ranges {[0,1], [0,1], [0,1], [-PI,PI]}.

Parameters:
    *project project parameter structure.

Returns:
    int 0.

Definition at line 179 of file mg_random.cpp.

  int project_random_magnification (Bproject * project, double std)

Introduces random errors into particle magnifications.

The random deviations are obtained from a Gaussian distribution
generator.

Parameters:
    *project project parameter structure.
    std standard deviation of random error (fraction).

Returns:
    int 0.

Definition at line 313 of file mg_random.cpp.

  int project_random_origins (Bproject * project, double std)

Introduces random errors into particle origins.

The random deviations are obtained from a Gaussian distribution
generator.

Parameters:
    *project project parameter structure.
    std standard deviation of random error (pixels).

Returns:
    int 0.

Definition at line 73 of file mg_random.cpp.

  int project_random_symmetry_related_views (Bproject * project, Bsymmetry * sym)

Replaces the original orientations by symmetry-related views.

Author:
    Eduardo Sanz-Garcia and David Belnap

    For each particle all the symmetry-related views are generated and
    one randomly selected.

Parameters:
    *project project parameter structure.
    *sym symmetry structure.

Returns:
    int 0.

Definition at line 362 of file mg_random.cpp.

  int project_random_views (Bproject * project)

Replace the original particle orientations by random views.

The random views are generated in the ranges {[0,1], [0,1], [0,1], [-PI,PI]}.

Parameters:
    *project project parameter structure.

Returns:
    int 0.

Definition at line 130 of file mg_random.cpp.

  int project_random_views (Bproject * project, double std)

Introduces random errors into particle views.

The random deviations are obtained from a Gaussian distribution
generator.

Parameters:
    *project project parameter structure.
    std standard deviation of random error (radians).

Returns:
    int 0.

Definition at line 255 of file mg_random.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.